# Uses of Class
javax.management.ImmutableDescriptor

Packages that use ImmutableDescriptor
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.

## Uses of ImmutableDescriptor in javax.management

Fields in javax.management declared as ImmutableDescriptor
Modifier and Type
Field
Description
`static ImmutableDescriptor`
ImmutableDescriptor.`EMPTY_DESCRIPTOR`
An empty descriptor.
Methods in javax.management that return ImmutableDescriptor
Modifier and Type
Method
Description
`static ImmutableDescriptor`
ImmutableDescriptor.`union​(Descriptor... descriptors)`
Return an `ImmutableDescriptor` whose contents are the union of the given descriptors.